Map Imported CoA
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/imports/mapping \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"mapping": [
{
"importType": "<string>",
"importName": "<string>",
"glAccountId": 123,
"importAccountNo": "<string>"
}
]
}
'import requests
url = "https://sandbox.hurdlr.com/rest/v5/imports/mapping"
payload = { "mapping": [
{
"importType": "<string>",
"importName": "<string>",
"glAccountId": 123,
"importAccountNo": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({
mapping: [
{
importType: '<string>',
importName: '<string>',
glAccountId: 123,
importAccountNo: '<string>'
}
]
})
};
fetch('https://sandbox.hurdlr.com/rest/v5/imports/mapping', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"errors": {
"fieldErrors": {},
"globalErrors": [
{
"errorMessage": "<string>"
}
]
},
"id": "<string>",
"webhook": {
"userId": "<string>",
"accountantUserId": "<string>"
},
"glAccountMapping": [
{
"importType": "<string>",
"importName": "<string>",
"glAccountId": 123,
"importAccountNo": "<string>"
}
]
}
]Imports
Map Imported CoA
Map a user’s imported CoA to that in the Tight API
POST
/
v5
/
imports
/
mapping
Map Imported CoA
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
*/*
mapping object
Show child attributes
Show child attributes
Response
200 - application/json
Successful operation
The result of the action performed
Available options:
SUCCESS, FAILURE Error object containing details errors incurred, if any
Show child attributes
Show child attributes
Id of the entity being acted upon
Show child attributes
Show child attributes
List of mappings from the imported account to its associated Tight GL account. If the Tight glAccountId is null, the imported account will need to be mapped to a Tight account
Show child attributes
Show child attributes
⌘I